OpenTTD Source: src/newgrf/newgrf_act0_stations.cpp File Reference

OpenTTD Source 15.0-RC2

Functions | Variables
newgrf_act0_stations.cpp File Reference

NewGRF Action 0x00 handler for stations. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../newgrf_station.h"`
`#include "newgrf_bytereader.h"`
`#include "newgrf_internal.h"`
`#include "newgrf_stringmapping.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static ChangeInfoResult | StationChangeInfo (uint first, uint last, int prop, ByteReader &buf)
| Define properties for stations.

## Variables
static const uint | NUM_STATIONS_PER_GRF = UINT16_MAX - 1
| The maximum amount of stations a single GRF is allowed to add.

## Detailed Description

NewGRF Action 0x00 handler for stations.

Definition in file newgrf_act0_stations.cpp.

## Function Documentation

## ◆ StationChangeInfo()

static ChangeInfoResult StationChangeInfo | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |
| static

Define properties for stations.

Parameters

  first | Local ID of the first station.
  last | Local ID of the last station.
  prop | The property to change.
  buf | The property value.

Returns
  ChangeInfoResult.

Definition at line 30 of file newgrf_act0_stations.cpp.

References AddStringForMapping(), NewGRFClass< Tspec, Tindex, Tmax >::Allocate(), StationSpec::Blocked, CIR_DISABLED, CIR_INVALID_ID, CIR_SUCCESS, CIR_UNKNOWN, NewGRFSpriteLayout::consistent_max_offset, SpriteBounds::extent, NewGRFClass< Tspec, Tindex, Tmax >::Get(), GetStationLayoutKey(), GrfProcessingState::grffile, DrawTileSprites::ground, HasBit(), StationSpec::layouts, NewGRFClass< Tspec, Tindex, Tmax >::name, StationSpec::NoWires, NUM_STATIONS_PER_GRF, SpriteBounds::origin, ByteReader::PeekDWord(), StationSpec::Pylons, ReadBadgeList(), ByteReader::ReadByte(), ByteReader::ReadDWord(), ByteReader::ReadExtendedByte(), ReadSpriteLayout(), ReadSpriteLayoutSprite(), ByteReader::ReadWord(), StationSpec::renderdata, GrfProcessingState::skip_sprites, TranslateRefitMask(), Coord3D< T >::x, Coord3D< T >::y, and Coord3D< T >::z.

## Variable Documentation

## ◆ NUM_STATIONS_PER_GRF

const uint NUM_STATIONS_PER_GRF = UINT16_MAX - 1
| static

The maximum amount of stations a single GRF is allowed to add.

Definition at line 20 of file newgrf_act0_stations.cpp.

Referenced by StationChangeInfo().